# Class ExtendedPropertyList

java.lang.Object
java.util.AbstractCollection<ExtendedProperty>
java.util.AbstractList<ExtendedProperty>
java.util.ArrayList<ExtendedProperty>
com.independentsoft.pst.ExtendedPropertyList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<ExtendedProperty>`, `Collection<ExtendedProperty>`, `List<ExtendedProperty>`, `RandomAccess`, `SequencedCollection<ExtendedProperty>`

public class ExtendedPropertyList extends ArrayList<ExtendedProperty>
A list of `ExtendedProperty` objects with lookup by `ExtendedPropertyTag`.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedPropertyList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExtendedProperty`
  `get(ExtendedPropertyTag tag)`
  Returns the first `ExtendedProperty` whose tag matches the supplied tag (by id/name and GUID), or `null` if none matches.

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### ExtendedPropertyList

    public ExtendedPropertyList()

- ## Method Details

  - ### get

    public ExtendedProperty get(ExtendedPropertyTag tag)
    Returns the first `ExtendedProperty` whose tag matches the supplied tag (by id/name and GUID), or `null` if none matches.
    Parameters:
      `tag` - the tag to look up.
    Returns:
      the matching property, or `null`.